Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004834OCamlOCaml otherlibspublic2009-07-11 21:132016-12-07 20:31
Reportermottl 
Assigned Tooctachron 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.11.1 
Target VersionFixed in Version4.04.0 
Summary0004834: Bigarray layout changes
DescriptionThere currently doesn't seem to be any way in the Bigarray API to "cast" the memory layout of a bigarray from c_layout to fortran_layout or vice versa. This makes it hard to make libraries interoperate that assume a different layout view. It would be great if functions could be added to the API that allow such conversions of bigarrays.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0016808)
octachron (developer)
2016-12-07 20:30

Resolved by https://github.com/ocaml/ocaml/pull/592/ [^] in OCaml 4.04.

- Issue History
Date Modified Username Field Change
2009-07-11 21:13 mottl New Issue
2011-05-31 16:09 doligez Status new => acknowledged
2012-06-21 20:16 frisch Category OCaml general => OCaml otherlibs
2016-12-07 20:30 octachron Note Added: 0016808
2016-12-07 20:31 octachron Status acknowledged => resolved
2016-12-07 20:31 octachron Fixed in Version => 4.04.0
2016-12-07 20:31 octachron Resolution open => fixed
2016-12-07 20:31 octachron Assigned To => octachron


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker